include "../newt.e"

procedure main()

    newtComponent form, checkbox, button
    sequence rb = repeat( 0, 3 )
    atom cbValue

    newt:Init()
    newt:Cls()

    newt:OpenWindow( 10, 5, 40, 11, "Checkboxes and Radio buttons" )

    checkbox = newt:Checkbox( 1, 1, "A checkbox", ' ', " *X" )

    rb[1] = newt:Radiobutton( 1, 3, "Choice 1", 1, NULL )
    rb[2] = newt:Radiobutton( 1, 4, "Choice 2", 0, rb[1] )
    rb[3] = newt:Radiobutton( 1, 5, "Choice 3", 0, rb[2] )

    button = newt:Button( 1, 7, "Ok" )

    form = newt:Form( NULL, NULL, 0 )
    newt:FormAddComponent( form, checkbox )
    for i = 1 to 3 do
        newt:FormAddComponent( form, rb[i] )
    end for
    newt:FormAddComponent( form, button )

    newt:RunForm( form )
    newt:Finished()

    /* We cannot destroy the form until after we've found the current
       radio button and checkbox value */

    for i = 1 to 3 do
        if newt:RadioGetCurrent( rb[1] ) = rb[i] then
            printf( 1, "radio buton picked: %d\n", i )
        end if
    end for

    cbValue = newt:CheckboxGetValue( checkbox )
    printf( 1, "checkbox value: '%s'\n", cbValue )

    newt:FormDestroy( form )

end procedure

main()
