include "../newt.e"
include "states.e"

procedure main()

    newtComponent form, label1, text1,
        labelBusinessName, entryBusinessName,
        labelFirstName, entryFirstName,
        labelMiddleInitial, entryMiddleInitial,
        labelLastName, entryLastName,
        labelAddress, entryAddress1, entryAddress2,
        labelCity, entryCity,
        labelState, listboxState,
        labelZipCode, entryZipCode,
        labelCountry, textboxCountry,
        labelPhoneNumber, textboxPhoneNumber, entryPhoneNumber1,
            entryPhoneNumber2, entryPhoneNumber3, entryPhoneNumber4,
        labelFaxNumber, textboxFaxNumber, entryFaxNumber1,
            entryFaxNumber2, entryFaxNumber3,
        labelBillingEmail, entryBillingEmail,
        buttonSubmit, buttonCancel

    newt:Init()
    newt:Cls()

    newt:DrawRootText( 0, 0, "Purchase Agreement" )
    newt:DrawRootText( -12, 0, "EXAMPLE ONLY" )

    newt:CenteredWindow( 64, 24, "Billing Information" )

    label1 = newt:Label( 1, 1, "* Indicates required field" )
    text1 = newt:TextboxReflowed( 1, 3, "Please enter your billing information.", 68, 4, 4, 0 )

    labelBusinessName = newt:Label( 2, 5, "Business Name:" )
    entryBusinessName = newt:Entry( 18, 5, "", 20, 0, NEWT_FLAG_SCROLL )

    labelFirstName = newt:Label( 2, 6, "First Name:" )
    entryFirstName = newt:Entry( 18, 6, "", 20, 0, NEWT_FLAG_SCROLL )

    labelMiddleInitial = newt:Label( 2, 7, "Middle Initial:" )
    entryMiddleInitial = newt:Entry( 18, 7, "", 1, 0, 0 )

    labelLastName = newt:Label( 2, 8, "*Last Name:" )
    entryLastName = newt:Entry( 18, 8, "", 20, 0, NEWT_FLAG_SCROLL )

    labelAddress = newt:Label( 2, 9, "*Address:" )
    entryAddress1 = newt:Entry( 18, 9, "", 20, 0, NEWT_FLAG_SCROLL )
    entryAddress2 = newt:Entry( 18, 10, "", 20, 0, NEWT_FLAG_SCROLL )

    labelCity = newt:Label( 2, 11, "*City:" )
    entryCity = newt:Entry( 18, 11, "", 20, 0, NEWT_FLAG_SCROLL )

    labelState = newt:Label( 2, 12, "*State:" )
    listboxState = newt:Listbox( 18, 12, 1, NEWT_FLAG_SCROLL )
    newt:ListboxAppendEntry( listboxState, "", 0 )
    newt:ListboxAppendEntries( listboxState, US_STATES, 0 )

    labelZipCode = newt:Label( 2, 13, "*Zip Code:" )
    entryZipCode = newt:Entry( 18, 13, "", 5, 0, 0 )

    labelCountry = newt:Label( 2, 14, "Country:" )
    textboxCountry = newt:Textbox( 18, 14, 3, 1, 0 )
    newt:TextboxSetText( textboxCountry, "USA" )

    labelPhoneNumber = newt:Label( 2, 15, "*Phone Number:" )
    textboxPhoneNumber = newt:Textbox( 18, 15, 19, 1, 0 )
    newt:TextboxSetText( textboxPhoneNumber, "(   )    -     ext:" )
    entryPhoneNumber1 = newt:Entry( 33, 15, "", 3, 0, 0 )
    entryPhoneNumber2 = newt:Entry( 38, 15, "", 3, 0, 0 )
    entryPhoneNumber3 = newt:Entry( 42, 15, "", 4, 0, 0 )
    entryPhoneNumber4 = newt:Entry( 51, 15, "", 4, 0, NEWT_FLAG_SCROLL )

    labelFaxNumber = newt:Label( 2, 16, "Fax:" )
    textboxFaxNumber = newt:Textbox( 18, 16, 14, 1, 0 )
    newt:TextboxSetText( textboxFaxNumber, "(   )    -    " )
    entryFaxNumber1 = newt:Entry( 33, 16, "", 3, 0, 0 )
    entryFaxNumber2 = newt:Entry( 38, 16, "", 3, 0, 0 )
    entryFaxNumber3 = newt:Entry( 42, 16, "", 4, 0, 0 )

    labelBillingEmail = newt:Label( 2, 17, "*Billing Email:" )
    entryBillingEmail = newt:Entry( 18, 17, "", 20, 0, NEWT_FLAG_SCROLL )

    buttonSubmit = newt:Button( 22, 20, "Submit" )
    buttonCancel = newt:Button( 36, 20, "Cancel" )

    form = newt:Form( NULL, NULL, 0 )
    newt:FormAddComponents( form, {
        label1,text1,
        labelBusinessName,entryBusinessName,
        labelFirstName,entryFirstName,
        labelMiddleInitial,entryMiddleInitial,
        labelLastName,entryLastName,
        labelAddress,entryAddress1,entryAddress2,
        labelCity,entryCity,
        labelState,listboxState,
        labelZipCode,entryZipCode,
        labelCountry,textboxCountry,
        labelPhoneNumber,textboxPhoneNumber,entryPhoneNumber1,
            entryPhoneNumber2,entryPhoneNumber3,entryPhoneNumber4,
        labelFaxNumber,textboxFaxNumber,entryFaxNumber1,
            entryFaxNumber2,entryFaxNumber3,
        labelBillingEmail,entryBillingEmail,
        buttonSubmit,buttonCancel
    } )

    newt:FormRun( form )
    newt:FormDestroy( form )

    newt:Finished()

end procedure

main()
